# Medium Tests: Run on all commits/PRs to dev branch

language: c
sudo: required
dist: trusty
matrix:
  include:
    # Ubuntu 14.04
    - env: Cmd='make gcc6install && CC=gcc-6 make clean uasan-test-zstd'
    - env: Cmd='make gcc6install libc6install && CC=gcc-6 make clean uasan-test-zstd32'
    - env: Cmd='make clang38install && CC=clang-3.8 make clean msan-test-zstd'

    - env: Cmd='make gcc6install && CC=gcc-6 make clean uasan-fuzztest'
    - env: Cmd='make gcc6install libc6install && CC=gcc-6 CFLAGS=-m32 make clean uasan-fuzztest'
    - env: Cmd='make clang38install && CC=clang-3.8 make clean msan-fuzztest'
    - env: Cmd='make clang38install && CC=clang-3.8 make clean tsan-test-zstream'

    - env: Cmd='make valgrindinstall && make -C tests clean valgrindTest'

    - env: Cmd='make arminstall && make armfuzz'
    - env: Cmd='make arminstall && make aarch64fuzz'
    - env: Cmd='make ppcinstall && make ppcfuzz'
    - env: Cmd='make ppcinstall && make ppc64fuzz'
    - env: Cmd='make -j uasanregressiontest'
    - env: Cmd='make -j msanregressiontest'

    - env: Cmd='make lz4install && make -C tests test-lz4'

git:
  depth: 1

branches:
  only:
  - dev
  - master

script:
  - JOB_NUMBER=$(echo $TRAVIS_JOB_NUMBER | sed -e 's:[0-9][0-9]*\.\(.*\):\1:')
  - echo JOB_NUMBER=$JOB_NUMBER TRAVIS_BRANCH=$TRAVIS_BRANCH TRAVIS_EVENT_TYPE=$TRAVIS_EVENT_TYPE TRAVIS_PULL_REQUEST=$TRAVIS_PULL_REQUEST
  - export FUZZERTEST=-T2mn;
    export ZSTREAM_TESTTIME=-T2mn;
    export DECODECORPUS_TESTTIME=-T1mn;
    sh -c "$Cmd" || travis_terminate 1;
